Name:           f-spot
Version:        0.1.10
Release:        1%{?dist}
Summary:        Photo management application

Group:          Applications/Multimedia
License:        GPL
URL:            http://www.gnome.org/projects/f-spot/
Source0:        f-spot-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel mono-web mono-data mono-data-sqlite lcms-devel
BuildRequires:  libexif-devel gphoto2-devel >= 2.1.4 dbus-sharp
BuildRequires:  gtk-sharp2 >= 2.7 libgnome-devel libgnomeui-devel
BuildRequires:  gtk2-devel mono-devel libjpeg-devel sqlite-devel >= 3.3.1
Requires:       sqlite >= 3.3.1
Requires:       lcms

# Mono only availible on these: (s390x disabled for now)
ExclusiveArch: %ix86 x86_64 ppc ia64 armv4l sparc s390 #s390x 

# Some compiler segfault on ia64:
ExcludeArch: ia64

# No libgphoto etc on s390
ExcludeArch: s390

Patch0: f-spot-0.1.9-security-fix.patch
Patch1: f-spot-0.1.3-sqlite3.patch

%description
F-Spot is an application designed to provide personal photo management
to the GNOME desktop. Features include import, export, printing and advanced
sorting of digital images. 

%prep
%setup -q
%patch0 -p1 -b .security-fix
%patch1 -p1 -b .sqlite3

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}


%install
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.a
rm $RPM_BUILD_ROOT%{_libdir}/%{name}/*.la
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.exe
chmod a+x $RPM_BUILD_ROOT%{_libdir}/%{name}/*.dll

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING README
%{_datadir}/applications/*
%{_datadir}/pixmaps/*
%{_libdir}/f-spot/*
%{_bindir}/f-spot
%{_bindir}/f-spot-import
%{_prefix}/libexec/gnome-screensaver/f-spot-screensaver
%{_datadir}/gnome-screensaver/themes/f-spot-screensaver.desktop

%changelog
* Sat Apr 01 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Fri Feb 24 2006 Christopher Aillon <caillon@redhat.com> 0.1.10-1
- Update to 0.1.10

* Tue Feb 21 2006 Karsten Hopp <karsten@redhat.de> 0.1.9-2
- add BuildRequires  libgnome-devel libgnomeui-devel
  gtk2-devel mono-devel libjpeg-devel sqlite-devel

* Fri Feb 17 2006 Christopher Aillon <caillon@redhat.com> - 0.1.9-1
- Update to 0.1.9

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-3
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.1.8-2.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Feb  1 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-2
- Add sqlite3.patch to ensure that sqlite3 is used if both
  sqlite2 and sqlite3 are installed.

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> - 0.1.8-1
- Update to 0.1.8
- Use sqlite3 instead of sqlite2

* Tue Jan 31 2006 Ray Strode <rstrode@redhat.com> - 0.1.5-3
- don't blindly run f-spot from current working directory
  (bug 177407)

* Tue Jan 10 2006 Alexander Larsson <alexl@redhat.com> - 0.1.5-2
- Add lcms depencency

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.1.5-1
- Update to 0.1.5

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.1.3-3
- Use sqlite2 to avoid problems with beagle

* Fri Nov 18 2005 Alexander Larsson <alexl@redhat.com> 0.1.3-2
- Make exes and dlls executable to pick up dependencies
- Remove .a and .la files

* Wed Nov 16 2005 Alexander Larsson <alexl@redhat.com> - 0.1.3-1
- Initial version

